<?php
include ('conexao.php');
include ('logout_tempo.php');
session_start();

$reservador = false;
if (isset($_SESSION['nome'])) {
    $nome_usuario = $_SESSION['nome'];
   
    $query_reservador = "SELECT reservador FROM usuarios WHERE nome = '$nome_usuario'";
    include('conexao.php'); 
    $resultado_reservador = mysqli_query($conexao, $query_reservador);
    if ($resultado_reservador) { 
        $row_reservador = mysqli_fetch_assoc($resultado_reservador);
        if ($row_reservador) { 
            $reservador = ($row_reservador['reservador'] == 1);
        }
    } else {
        echo "Erro na consulta: " . mysqli_error($conexao); // Exibindo mensagem de erro caso ocorra
    }
}

    $result_usuario = "SELECT * FROM usuarios ORDER BY id_usuario ASC";
    $resultado_usuario = mysqli_query($conexao, $result_usuario);
  
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href='img/favicon.ico' rel='icon'>
    
    <!-- Bootstrap 5 -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js"></script>
    
    <title>KM Taldi</title>
    
    <style>
        #caixa {
            border-radius: 35px;
            width: 112px;
            margin-left: auto;
            margin-right: auto;
        }
    </style>
	
</head>
<body>
    
<nav class="navbar navbar-expand-lg navbar-light bg-secondary">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">&#160;Taldi KM - Usuários</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#conteudoNavbarSuportado" aria-controls="conteudoNavbarSuportado" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="conteudoNavbarSuportado">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="retirar.php">Retirar</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="devolver.php">Devolver</a>
                </li>
                <li class="nav-item">
                    <?php if ($reservador): ?>
                        <a class="nav-link" style="color: #000; font-size: 17px;" href="reserva.php">Reserva</a>
                    <?php endif; ?>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="relatorio.php">Relatório</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="carros.php">Carros</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="admins.php">Usuários</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color:red; font-size: 17px;" href="painel.php">&#160;Voltar&#160;</a>
                </li>
            </ul>
            <form class="d-flex">
                <input class="form-control me-2" type="search" id="filtro" placeholder="Filtrar usuário..." aria-label="Search">
            </form>
        </div>
    </div>
</nav>

<div class="container">
    <h1 align="center" style="margin-top:30px; margin-bottom:30px">Usuários</h1>
        <div class="table-responsive">
            
            <table id="tableCarros" class="table table-bordered table-hover">
                <thead class="">
                 
                    <tr class="">
                    
                        <th style="font-size:20px" scope="col"><center>ID</th>
                        <th style="font-size:20px" scope="col"><center>Nome</th>
                        <th style="font-size:20px" scope="col"><center>Permissao para administrador</th>
                        <th style="font-size:20px" scope="col"><center>Permissao para reservas</th>
                    
                    </tr>
                </thead>
                
                <tbody>
                    <?php
                        if(($resultado_usuario) AND ($resultado_usuario->num_rows != 0)) {
                            while($row_usuario = mysqli_fetch_assoc($resultado_usuario)){
                                
                    ?>
                        
                    <tr>
                        <td style="font-size:18px"><center><?php echo $row_usuario['id_usuario'];?></center></td>
                        <td style="font-size:18px"><center><?php echo $row_usuario['nome'];?></center></td>
                        <td style="font-size:18px"><center>
                        <?php
                        
                            if (trim(strtolower($row_usuario['nome'])) != trim(strtolower($_SESSION['nome']))){
                                if ($row_usuario['permissao'] == 1){
    
                                    echo "<form method='post' action='desativar.php' ajaxR='true'> 
                                        <input type='hidden' value=" . $row_usuario['id_usuario'] . " name= 'input' id= " . $row_usuario['nome'] ." class='btn btn-outline-danger m-2' style='width: 100px; height: 45px;'>
                                        <input id='caixa' type='submit'style='font-size:18px' value='Retirar' class='btn btn-outline-dark m-2' style='width: 100px; height: 45px;'>
                                        </form>";
     
                                }else{
                                        
                                        echo "<form method='post' action='ativar.php' ajaxA='true'> 
                                            <input type='hidden' value=" . $row_usuario['id_usuario'] . " name= 'input' id= " . $row_usuario['nome'] ." class='btn btn btn-outline-success m-2' style='width: 100px; height: 45px;'> 
                                            <input id='caixa' type='submit'style='font-size:18px' value='Ativar' class='btn btn-outline-dark m-2' style='width: 100px; height: 45px;'>
                                            </form>";
                                        
                                }
                            }
                            
                            
                            else{
                                    
                                echo "<form method='post' action='desativar.php' ajaxR='true'> 
                                <input type='hidden' value=" . $row_usuario['id_usuario'] . " name= 'input' id= " . $row_usuario['nome'] ." class='btn btn-outline-danger m-2' style='width: 100px; height: 45px;'>
                                <input type='hidden'style='font-size:18px' value='Retirar' class='btn btn-outline-dark m-2' style='width: 100px; height: 45px;'>
                                </form>";
                          
                            }
                            
                        ?>
                        </center></td>
                        
                        <td style="font-size:18px"><center>
                        <?php
                        
                            if (true){
                                if ($row_usuario['reservador'] == 1){
                                   
                                    echo "<form method='post' action='desativar_reserva.php' ajaxR='true'> 
                                        <input type='hidden' value=" . $row_usuario['id_usuario'] . " name= 'input' id= " . $row_usuario['nome'] ." class='btn btn-outline-danger m-2' style='width: 100px; height: 45px;'>
                                        <input id='caixa' style='font-size:18px' type='submit' value='Retirar' class='btn btn-outline-dark m-2' style='width: 100px; height: 45px;'>
                                        </form>";
                                    
                                    
                                    
                                }else{
                                    
                                    echo "<form method='post' action='ativar_reserva.php' ajaxA='true'> 
                                        <input type='hidden' value=" . $row_usuario['id_usuario'] . " name= 'input' id= " . $row_usuario['nome'] ." class='btn btn btn-outline-success m-2' style='width: 100px; height: 45px;'> 
                                        <input id='caixa' style='font-size:18px' type='submit' value='Ativar' class='btn btn-outline-dark m-2' style='width: 100px; height: 45px;'>
                                        </form>";
                                        
                                }
                                
                            }else{
                                echo "<form method='post' action='desativar_reserva.php' ajaxR='true'> 
                                    <input type='hidden' value=" . $row_usuario['id_usuario'] . " name= 'input' id= " . $row_usuario['nome'] ." class='btn btn-outline-danger m-2' style='width: 100px; height: 45px;'>
                                    <input type='hidden' value='Retirar' class='btn btn-outline-dark m-2' style='width: 100px; height: 45px;'>
                                    </form>";
                            }
                            
                        ?>
                        </center></td>
               
                    </tr>
                                
                    <?php
                        }  
                        }else{
                            echo "Erro";
                        }
                    ?>
                </tbody>
                </table>
       
       
           <script>
        document.addEventListener('DOMContentLoaded', function() {
            document.getElementById('filtro').addEventListener('input', function() {
                const filtro = this.value.toLowerCase();
                const linhas = document.querySelectorAll('tbody tr');
    
                linhas.forEach(function(linha) {
                    const texto = linha.textContent.toLowerCase();
                    if (texto.includes(filtro)) {
                        linha.style.display = 'table-row';
                    } else {
                        linha.style.display = 'none';
                    }
                });
            });
        });
    </script>
         
</body>
</html>