<?php

session_start();
include('conexao.php');
include ('logout_tempo.php');

?>
<!DOCTYPE html>
<html>
<head>
    
    <meta charset='utf-8'>
    <meta name='viewport' content='width=device-width, initial-scale=1'>

    <link href='img/favicon.ico' rel='icon'>
    <link rel='stylesheet' type='text/css' href='css/bulma.css'>
    <link rel='stylesheet' href='https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css' integrity='sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO' crossorigin='anonymous'>
    <link href='https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css' rel='stylesheet' integrity='sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi' crossorigin='anonymous'>
   
    <script src='https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js' integrity='sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3' crossorigin='anonymous'></script>
    
    <style>
        
        td{
            width:200px;
            height:30px;
        }
        
        a{

            width:50px;
            height:25px;
            margin-left:15px;
            margin-top:5px;
        }
        #caixa{
            
            width: 140px;
            margin-left: 15px;
            margin-right: auto;
        }
        
    </style>

</head>
<body>

<?php

$data_atual = date('Y-m-d H:i:s');
$pesquisar = $_POST['carro'];
$nome = $_POST['nome'];

echo "<br> <h1>&#160;Reservas Inativas: </h1> <br>";

echo "<form method='post' action='reserva_carro.php'> 
<input type='hidden' name='carro' id='$pesquisa' value='$pesquisar'>
<input id='caixa' type='submit' class='btn-dark' value='Cadastrar Reserva'>
</form>";

echo "<a class='notification is-danger nav-item nav-link' href='reserva.php'>&#160;Voltar&#160;</a>";

// consulta sql
$result_carro = "SELECT * FROM carros WHERE id_carro = {$pesquisar} ORDER BY id_carro ASC";
$resultado_carro = mysqli_query($conexao, $result_carro);

// loop da tabela de reserva
while ($rows_carro = mysqli_fetch_array($resultado_carro)) {
    // Consulta SQL para obter as reservas para o carro selecionado
    $result_reserva = "SELECT * FROM reserva WHERE id_carro = {$pesquisar} ORDER BY Reserva";
    $resultado_reserva = mysqli_query($conexao, $result_reserva);

    echo "<table class='table table-responsive-sm table-bordered' style='margin-top:10px; margin-left:auto; margin-right:auto; width: auto; background-color: #fffffb;'>";
    echo "<thead><tr><th>Modelo</th><th>Data</th><th>Data reserva</th><th>Devolução</th><th>Usuário</th><th>Destino</th><th>Cancelar</th></tr></thead>";
    echo "<tbody>";

    // tabela reserva
    while ($rows_reserva = mysqli_fetch_array($resultado_reserva)) {
        if ($rows_carro['id_carro'] == $rows_reserva['id_carro']) {
            if (strtotime($rows_reserva['Devolucao']) <= strtotime($data_atual)) {
                echo "<tr>";
                echo "<td>" . $rows_carro['modelo'] . "&#160;</td>";
                echo "<td>" . $rows_reserva['Data'] . "&#160;</td>";
                echo "<td>" . $rows_reserva['Reserva'] . "&#160;</td>";
                echo "<td>" . $rows_reserva['Devolucao'] . "&#160;</td>";
                echo "<td>" . $rows_reserva['usuario'] . "&#160;</td>";
                echo "<td>" . $rows_reserva['destino'] . "&#160;</td>";
                echo "<td>";
                
                // ativação do botão cancelar reserva caso seja o usuario que criou
                if(strtolower(str_replace(' ', '', trim($_SESSION['nome']))) == strtolower(str_replace(' ', '', trim($rows_reserva['usuario'])))) {
                    echo "<form method='post' action='cancelar_reserva.php'>";
                    echo "<input type='hidden' name='id_reserva' value='" . $rows_reserva['id_reserva'] . "'>";
                    echo "<button type='submit' class='btn btn-danger'>Cancelar</button>";
                    echo "</form>";
                } else {
                    echo "<button type='button' class='btn btn-danger' disabled>Cancelar</button>";
                }
                
                echo "</td>";
                echo "</tr>";
            }
        }
    }

}

?>
</body>
</html>