<?php
include ('conexao.php');
include ('logout_tempo.php');

session_start();
    
    $result_usuario = "SELECT * FROM carrosDevolvidos ORDER BY cod ASC";
    $resultado_usuario = mysqli_query($conexao, $result_usuario);
    
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href='img/favicon.ico' rel='icon'>
    
    <!-- Bootstrap 5 -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js"></script>
    
    <title>KM Taldi</title>
    <style>
        table {
          width: 100%; 
        
        th, td {
          text-align: center; 
          vertical-align: middle; 
        }
    </style>
</head>

<body>
<nav class="navbar navbar-expand-lg navbar-light bg-secondary">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">&#160;Taldi KM - Carros</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#conteudoNavbarSuportado" aria-controls="conteudoNavbarSuportado" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="conteudoNavbarSuportado">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="retirar.php">Retirar</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="devolver.php">Devolver</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="reserva.php">Reserva</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="relatorio.php">Relatório</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="carros.php">Carros</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color: #000; font-size: 17px;" href="admins.php">Usuários</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" style="color:red; font-size: 17px;" href="carros.php">&#160;Voltar&#160;</a>
                </li>
            </ul>
        </div>
    </div>
</nav>

<div class="container">
    <h1 align="center" style="margin-top:70px">Carros Devolvidos</h1>
    <div class="row my-3">
        <div class="col text-center">

        </div>
    </div>

    <div style='margin-top:20px;' class="table-responsive">
        <table id="tableCarros" class="table table-bordered table-hover">
            <thead class="thead-dark">
                <tr class="">
                    <th style="font-size:20px" scope="col"><center>Modelo</center></th>
                    <th style="font-size:20px" scope="col"><center>Marca</center></th>
                    <th style="font-size:20px" scope="col"><center>Placa</center></th>

                </tr>
            </thead>
            <tbody>
                <?php
                    if(($resultado_usuario) AND ($resultado_usuario->num_rows != 0)) {
                        while($row_usuario = mysqli_fetch_assoc($resultado_usuario)){
                            
                ?>
                        
                <tr>
                    <td style="font-size:18px"><?php echo $row_usuario['modelo'];?></td>
                    <td style="font-size:18px"><?php echo $row_usuario['marca'];?></td>
                    <td style="font-size:18px"><?php echo $row_usuario['placa'];?></td>  
                        
                </tr>
                                
                    <?php
                        }    
                        }else{
                            echo "Erro";
                        }
                    ?>
            </tbody>
        </table>
    </div>
</div>

</body>
</html>